> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/device/general/wipe-managed-app-data.md).

# 管理対象アプリ データを消去

この MAM 管理デバイスから会社のアプリ データを削除します

### 説明

アプリ保護ポリシーで保護されたアプリから、このデバイス上の会社データを、デバイス全体を消去せずに削除します。これは Intune ポータルで知られる選択的なアプリ消去で、通常はアプリ保護のみによって管理され、Intune に登録されていない紛失または盗難デバイスで使用されます。データは、保護された各アプリが次回チェックインしたときに削除されるため、消去は即時ではありません。保留中の要求は Intune ポータルで監視およびキャンセルできます。

### デバイスの照合

MAM アプリの登録はデバイス オブジェクトではなくユーザーに属します。そのため、この runbook はデバイスに登録されているユーザーを解決し、それらのアプリ登録をデバイスの EntraID デバイス ID（`azureADDeviceId`）。EntraID デバイス ID を持たない登録は、代替としてデバイスの表示名で照合されます。runbook の出力では、この代替が使用された場合が示されます。

### 消去の動作

* 会社のアプリ データは、保護された各アプリが次回デバイスにチェックインしたときに削除されます。消去は即時ではありません。
* 保留中の消去要求は、Intune ポータルの次の場所で監視およびキャンセルできます。 *アプリ > アプリの選択的消去*.
* 影響を受けるのは、アプリ保護ポリシー (MAM) で保護されたアプリ データのみです。デバイス オブジェクト自体には触れません。デバイスは EntraID に残り、さらに MDM に登録されている場合は Intune/Autopilot にも残ります。そこでもデバイスを無効化または削除するには、次を実行します。 **デバイスの廃止** その後に runbook（Device \ General）を実行します。MDM に登録されたデバイスを完全に消去する場合は、次を使用します。 **デバイスの消去**.

### 場所

デバイス → 全般 → 管理対象アプリ データの消去

**完全な Runbook 名**

rjgit-device\_general\_wipe-managed-app-data

### 詳細

| プロパティ    | 値                                                                                        |
| -------- | ---------------------------------------------------------------------------------------- |
| バージョン    | 1.0.0                                                                                    |
| 必須モジュール  | <p>RealmJoin.RunbookHelper (>= 0.8.10)<br>Microsoft.Graph.Authentication (>= 2.41.2)</p> |
| スケジュール可能 | いいえ                                                                                      |

### 権限

#### アプリケーションのアクセス許可

* **種類**: Microsoft Graph
  * DeviceManagementApps.ReadWrite.All
    * *ユーザーの managedAppRegistrations を読み取り、wipeManagedAppRegistrationsByDeviceTag を使用して MAM の消去を作成します*
  * Device.Read.All
    * */devices を介して対象デバイスを解決し、登録されているユーザーと所有者を一覧表示します*
  * User.Read.All
    * *登録済みユーザーの ID と UPN を読み取り、ユーザーごとの MAM 登録クエリを作成します*

#### RBAC ロール

* Intune 管理者
  * *managedAppRegistrations の読み取りとアプリ専用 MAM 消去の送信に対する Intune RBAC を付与します*

### パラメーター

#### DeviceId

runbook が対象とするデバイスの Entra ID デバイス ID。ポータルで選択したデバイスから設定されます。

| プロパティ    | 値                         |
| -------- | ------------------------- |
| 必須       | true                      |
| 既定値      |                           |
| 種類       | 文字列                       |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定) |

[Runbook リファレンスの概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/device/general/wipe-managed-app-data.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
